---
sidebar_position: 3
title: 04.10.2021
---

# Zápisnica - 4.10.2021

## Zhrnutie taskov

- Jira: je vytvorené prostredie na pridelenie úloh jednotlivým členov tímu podľa princípu scrum
- Discord: pripravený na komunikáciu členov tímu
- Github repozitár: založený na ukladanie a prístup k spoločným kódom
- Docusaurus: založený na dokumentáciu

## Identifikácia nových problémov

- boli určené hlavné epiky:
  - Ako sládek (osoba, ktorá varí pivo) chcem vedieť komunikovať so senzormi a efektormi (vytvorenie endpointov, modulov,...)
  - Chcem, aby sa pivo varilo automaticky: príprava receptu = nastav teplotu a udržuj ju, reaguj na eventy - zahrievaj na určitú teplotu. Je potrebné určiť architektúru systému, databázy (teda spôsob ukladania dát)
  - Chcem vidieť stav zatiadení na monitore - potrebné vizualizovať
  - My ako tím chceme splniť všetky podmienky na úspešné zvládnutie predmetu (skompletizovanie webovej stránky, dokumentácie, dodržanie správnej formy odovzdaného diela)

### Postupy a riešenia:

- ovládanie a vizualizácia dát na monitore - webová aplikácia zobrazujúca sa v browseri
- frontend: JavaScript, React (interaktivita, pridanie údajov (receptu), tie sa ukladajú, dajú sa pozmeniť; tabuľky s hodnotami,...)
- backend: Node.js, možnosť využiť postupy z existujúcej práce (Flask), Sequelize
- databáza: Postgresql

## Vytvorenie nových stories/taskov

- naštudovať si komunikáciu pomocou mqtt

### Stories

- Webová stránka tímu - Marek Vajda
- Sprevádzkovať Docker na Raspberry Pi (kontajnery ...) - Marek Vajda
- Prieskum procesov pivovaru - Alexandra Frniaková
- Priemyselná vizualizácia scadu (prieskum) - Michaela Nemcová
- Analýza nástrojov (HW) - Peter Stríž

### Tasky

- Update zápisníc - Alexandra Frniaková
- Vytvorenie templates pre dokumentáciu - Michaela Nemcová
- Nástroje na tvorbu dokumentácie - Peter Stríž
- Export z Jira - Peter Stríž

## Diskusia
