---
title: 01 - Zlatý bažant
---

# Zlatý bažant

## Kedy?

**Od:** 3.10.2021

**Do:** 18.10.2021

## Cieľ šprintu

Úlohou prvého šprintu bol prvotný setup všetkých nástrojov akými sú Git, Jira či nástroj na tvorbu dokumentácie Docusaurus.

Ďalej bolo potrebné vytvoriť repozitáre pre jednotlivé časti projektu a v rámci nich vytvoriť jednoduché demo.

## Obsah šprintu

Krátky opis stories, na ktorých sme pracovali počas šprintu. Treba dodať že nie všetci členovia figurujú ako zodpovední za nejakú story, avšak na práci sa podielal každý. Každá story totiž obsahovala viacero úloh, ktoré sme už do tohto zápisu neuviedli, lebo ich bolo veľmi veľa (stories + úloh bolo cez 40).

### Technical prototype on RPI

Hlavný story. Prototyp pivovaru, ktorý sa automaticky bude nasadzovať na [RPI](../../technical/guide/rpi.md) a pri startupe sa naštartuje automaticky.

### Frontend analysis

Základný dizajn frontendu spolu s technológiami. Viac na [Frontend](../../technical/architecture/frontend.md).

### Analysis on how to brew a beer

Ako sa vôbec varí pivo, keďže väčšina členov tímu nevie aké sú tam kroky, a následne sa z tejto analýzy dá ľahšie zistiť, že čo treba spraviť. Viac na [Brewery](../../technical/analysis/brewery.md).

### Basic tools

Základné nastroje ktorými sú: [git](../methodics/git.md), [jira](../methodics/jira.md), [dokumentácia](http://team06-21.studenti.fiit.stuba.sk/docs).

### Architecture overview

High level pohľad na časti systému. Viac na [Architektúra](../../technical/architecture/database.mdx).

### Analyze existing SCADA software

Analýza iných softvérov, ktoré sú určné na podobné použite. Viac na [Scada](../../technical/analysis/scada.md).

### Team webpage

Základná tímová stránka.

### Analysis of tools to use on HW

Aké rôzne komponenty sa dajú použiť na HW. Viac na [Modbus](../../technical/analysis/modbus.md).

## Výsledky šprintu

Nástroj [Jira](../methodics/jira.md) nám ponúka nasledujúce vizualizácie hlavných stories a taskov.

### Splnené úlohy

![Done](/img/sprints/sprint-01-1.png)

### Nesplnené úlohy

![Not Done](/img/sprints/sprint-01-2.png)

\*poznámka: _Technical prototype on RPI_ sa podarilo takmer celé a hlavná funkcionalita bola, avšak nepodarilo sa nám stihnúť jednu úlohu, ktorú bolo treba odkomunikovať s ostatnými členmi tímu až po ukončení šprintu.

### Poznámky do budúcna

Lepšie popisovať názvy stories, aby sa držali viac metódy Scrumu.

Počas retrospektívy vznikol nasledujúci starfish diagram.

![starfish_retrospective_1.png](/img/starfish_retrospective_1.png)
