---
title: 05 - Šariš
---

# Šariš

## Kedy?

**Od:** 29.11.2021

**Do:** 15.12.2021

## Cieľ šprintu

Cieľom bolo vedieť zobrazovať informácie o aktuálnom recepte, ktoré sa používa na varenie. Takisto bolo potrebné doladiť ešte vytváranie receptov, aby fungovalo naprieč celým systémom.

## Obsah šprintu

Hlavným obsahom bolo dokončiť celú API týkajúcu sa komunikácie jednotlivých častí systému. Išlo hlavne o používateľské rozhranie a aplikačný server. Takisto bolo treba pridať podporu pre nové inštrukcie (čakanie a manuálna inštrukcia) aj v rámci modulov a aj testovacieho serveru.

Problém, ktorý bol potrebné odstrániť, bolo nefunkčné ORM Prisma na Raspberry Pi, ktoré nefunguje dobre na zariadeniach 32-bit ARM (momentálne tam nemá oficiálnu podporu).

Ďalej sme sa zamerali na semestrálne odovzdanie, v rámci ktorého sme museli pripraviť všetky dokumenty, aby boli v správnom formáte a aby obsahovali všetky potrebné náležitosti.

### As a User, I want to finish creating recipe, so that I can use it to brew beer

Doladenie komunikácie medzi všetkými časťami systému. Ďalej bolo treba pridať prvky na lepšiu navigáciu v používateľskom rozhraní.

### As a User, I want to see current state of brewing, so that I can better understand what instruction is being executed right now

Zobrazenie akutálneho stavu receptu. Takisto bolo treba upraviť celkové zobrazovanie receptov aj pri výbere receptu, a aj pri varení.

### As a User, I want to delete recipe, so that I have better overview of recipes

Vymazanie receptu pomocou soft delete. Pridať zmazanie na Frontende a upraviť Backend, aby posielal používatelom iba nezmazané recepty. Keď bude v budúcnosti história, budeme vedieť zobraziť recept ktorý sa použil, ale mohol byť medzičasom zmazaný.

### As a Student, I want to keep documentation updated, so that I can pass the subject

Klasická úloha, v rámci ktorej sa vypisujú zápisnice, šprinty a podobné veci dokumentačného charakteru. Bolo potrebné poupraviť viaceré časti dokumentácie, ktoré sme dostali v rámci spätnej väzby k odovzdaniu v polovici semestra.

## Výsledky šprintu

Nástroj [Jira](../methodics/jira.md) nám ponúka nasledujúce vizualizácie hlavných stories a taskov.

Opäť sa nepodarilo zrealizovať stretnutie na Strojníckej fakulte, lebo nám to pandemická situácia neumožnila. To znamená že sme nemohli úplne otestovať, či moduly fungujú tak, ako majú, a tiež či spustenie receptu robí všetko čo má.

Počas šprintu sme narazili na problém, že nám nefunguje ORM Prisma na Raspberry Pi. Dôvodom je 32-bit ARM, ktorý nieje oficiálne podporovaný Prismou. Do budúcna rozmýšľame, že ak sa nám nepodarí problém opraviť, budeme nútení zmeniť ORM, čo bude veľmi zložité.

### Splnené úlohy

![Done](/img/sprints/sprint-05-1.png)

### Nesplnené úlohy

Stále sa nám nepodarilo fixnúť problém s ORM Prisma na Raspberry Pi.

![Done](/img/sprints/sprint-05-2.png)

### Poznámky do budúcna

![starfish_retrospective_5.png](/img/starfish_retrospective_5.png)
